Bug 1419698 - [abrt] gnome-software: g_local_file_finalize(): gnome-software killed by SIGABRT
Summary: [abrt] gnome-software: g_local_file_finalize(): gnome-software killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:136a54645bed6ed6c068e0cabe7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 19:27 UTC by Michal Schmidt
Modified: 2017-12-12 10:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:28:22 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (27.70 KB, text/plain)
2017-02-06 19:27 UTC, Michal Schmidt
no flags Details
File: cgroup (259 bytes, text/plain)
2017-02-06 19:27 UTC, Michal Schmidt
no flags Details
File: core_backtrace (7.68 KB, text/plain)
2017-02-06 19:27 UTC, Michal Schmidt
no flags Details
File: dso_list (12.37 KB, text/plain)
2017-02-06 19:27 UTC, Michal Schmidt
no flags Details
File: environ (1.42 KB, text/plain)
2017-02-06 19:27 UTC, Michal Schmidt
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-06 19:27 UTC, Michal Schmidt
no flags Details
File: maps (57.98 KB, text/plain)
2017-02-06 19:27 UTC, Michal Schmidt
no flags Details
File: mountinfo (4.27 KB, text/plain)
2017-02-06 19:27 UTC, Michal Schmidt
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-06 19:27 UTC, Michal Schmidt
no flags Details
File: open_fds (2.02 KB, text/plain)
2017-02-06 19:27 UTC, Michal Schmidt
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2017-02-06 19:27 UTC, Michal Schmidt
no flags Details
File: var_log_messages (303 bytes, text/plain)
2017-02-06 19:27 UTC, Michal Schmidt
no flags Details

Description Michal Schmidt 2017-02-06 19:27:10 UTC
Description of problem:
It crashed during VT switching.

Version-Release number of selected component:
gnome-software-3.22.5-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_local_file_finalize
executable:     /usr/bin/gnome-software
global_pid:     5917
kernel:         4.9.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #7 g_local_file_finalize at glocalfile.c:120
 #9 g_file_icon_finalize at gfileicon.c:122
 #11 gtk_icon_info_finalize at gtkicontheme.c:3562
 #13 gdk_pixbuf_finalize at gdk-pixbuf.c:273
 #15 gs_app_finalize at gs-app.c:3474
 #17 g_hash_table_remove_all_nodes at ghash.c:548
 #19 g_hash_table_unref at ghash.c:1097
 #20 gs_app_list_finalize at gs-app-list.c:478
 #22 gs_plugin_loader_finalize at gs-plugin-loader.c:3985
 #24 gs_application_dispose at gs-application.c:824

Comment 1 Michal Schmidt 2017-02-06 19:27:16 UTC
Created attachment 1248119 [details]
File: backtrace

Comment 2 Michal Schmidt 2017-02-06 19:27:17 UTC
Created attachment 1248120 [details]
File: cgroup

Comment 3 Michal Schmidt 2017-02-06 19:27:19 UTC
Created attachment 1248121 [details]
File: core_backtrace

Comment 4 Michal Schmidt 2017-02-06 19:27:21 UTC
Created attachment 1248122 [details]
File: dso_list

Comment 5 Michal Schmidt 2017-02-06 19:27:23 UTC
Created attachment 1248123 [details]
File: environ

Comment 6 Michal Schmidt 2017-02-06 19:27:24 UTC
Created attachment 1248124 [details]
File: limits

Comment 7 Michal Schmidt 2017-02-06 19:27:27 UTC
Created attachment 1248125 [details]
File: maps

Comment 8 Michal Schmidt 2017-02-06 19:27:29 UTC
Created attachment 1248126 [details]
File: mountinfo

Comment 9 Michal Schmidt 2017-02-06 19:27:31 UTC
Created attachment 1248127 [details]
File: namespaces

Comment 10 Michal Schmidt 2017-02-06 19:27:32 UTC
Created attachment 1248128 [details]
File: open_fds

Comment 11 Michal Schmidt 2017-02-06 19:27:34 UTC
Created attachment 1248129 [details]
File: proc_pid_status

Comment 12 Michal Schmidt 2017-02-06 19:27:35 UTC
Created attachment 1248130 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-11-16 14:40:27 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-12-12 10:28:22 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.